package com.taais.biz.domain.dto.task;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author allen
 */
@Data
public class CreateTargetIdentificationTaskDto {

    public static final String TASK_TYPE_MORE_DATA_AND_SINGLE_ALGORITHM = "1";
    public static final String TASK_TYPE_SINGLE_DATA_AND_MORE_ALGORITHM = "2";
    public static final String TASK_ITEM_TRAIN = "1";
    public static final String TASK_ITEM_TEST = "2";

    // 任务名称
    private String taskName;

    // 任务类型 target_identification_task_type 单数据多算法任务：1，多数据单算法任务：2
    private String taskType;

    // 测试项 target_identification_task_item 1训练，2测试
    private List<String> taskItems;

    //数据 1训练，2，测试 {'1':"批次号1.批次号2","2":"批次号2,批次号3"}
    private Map<String,String> data;

    private Boolean hasTrainAugmentation;
}
